Subject: Re: [Emailcore] Post-Interim question about Section 3.4.2 of draft-ietf-emailcore-rfc5321bis-08

From: "Alexey Melnikov" <[email-masked]>
Date: Thu, 17 Feb 2022 14:25:31 +0000

Hi John/John,

On Sat, Jan 22, 2022, at 5:47 AM, John C Klensin wrote:
> --On Friday, January 21, 2022 23:29 -0500 John Levine
> <[email-masked]> wrote:
>
>> It appears that John C Klensin  <[email-masked]> said:
>>> Hi.
>>> 
>>> During Friday's interim meeting, a decision was made
>>> (associated with Ticket #4) to drop the last sentence of the
>>> first paragraph of Section 3.4.2, which reads (in -08):
>>> 
>>>	'However, in this case, the message header section (RFC
>>>	5322 [12]) MUST be left unchanged; in particular, the
>>>	"From" field of the header section is unaffected.'
>>> 
>>> Checking back over my notes, that sentence appeared in RFC
>>> 2821. Checking further, the decision in DRUMS to put it in was
>>> apparently based on real-world confusion as to whether a
>>> change in the reverse-path was required to be reflected in
>>> the mail headers.  
>> 
>> If people still think that the bounce address has to match the
>> From header, we've got worse problems than this sentence.
>
> Agreed.  But I think we have worse problems than that sentence
> even without that condition, so I am trying to be careful and
> ask.
>
>> For the list-id issue, I suppose we could say that existing
>> message headers are left unchanged, implying that if you want
>> to add new ones, you can.
>
> That was the case I was concerned about and (as an individual) I
> like your suggestion for how to handle it.  
>
> Others?

I still think that the replacement text proposed at the interim is better than taking this sentence out, but I am happy with either:

  This change to MAIL FROM doesn't affect the header section of the message.

Best Regards,
Alexey